# Steps of Developing the Motor Library
---

## Version 01:

![](../Images/1.png) 

Created two separate functions for testing:  
- One function to turn the fan motor on or off  
- Another function to set the motor speed

---

## Version 02:

![](../Images/2.png) 

Combined both actions into a single function and tested the new approach.

---

## Version 03:

![](../Images/4.png) 

Updated the speed control to use a percentage value.  
The function now converts the percentage to a value between 0 and 1023 using PWM for smoother speed control.

---

## Version 04:

![](../Images/6.png) 

The previous function, updated to incorporate direction.

---

## Usage Example:
![](../Images/5.png) 
![](../Images/7.png) 

A way to test the Library!
